package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.domain.CustomerBank;
import com.huigou.topsun.customer.domain.CustomerContact;
import com.huigou.topsun.customer.domain.CustomerOrder;
import com.huigou.topsun.customer.domain.Province;
import com.huigou.topsun.customer.domain.vo.CustomerVo;

import java.util.List;

public interface CustomerBaseInfoApplication {

//    Province findByProvinceParentId(String provinceCode);


    List<Province> findByProvinceCode(String provinceCode);

    CustomerVo findCustomerByCustomerId(String customerId);

    CustomerBank findCustomerBankByCustomerId(String customerId);

    List<CustomerContact> findCustomerContactByCustomerId(String customerId);

    void deleteByCustomerId(String customerId);

    CustomerOrder findCustomerOrderByCustomerId(String customerId);
}
